openRuyi Lookout
← Packages

oath-toolkit

One-time password components

Current
2.6.14
Candidate
2.6.15Stale
License
GPL-3.0-or-later AND LGPL-2.1-or-later

Build

TargetResultLast successful versionSucceeded at
rva23
2.6.14
rva20
2.6.14
x86_64
2.6.14

Description

The OATH Toolkit provide components for building one-time password authentication systems. It contains shared libraries, command line tools and a PAM module. Supported technologies include the event-based HOTP algorithm (RFC4226) and the time-based TOTP algorithm (RFC6238). OATH stands for Open AuTHentication, which is the organization that specify the algorithms. For managing secret key files, the Portable Symmetric Key Container (PSKC) format described in RFC6030 is supported.

Changelog

PR · 2

Checks
MonitorObservationLast checked
Stale
Repository refresh: git fetch exited 128 (authentication)
Stale
Source last confirmed at 2026-11-10T23:09:30+00:00; repository refresh overdue.
Checked
Checked
Not configured
No reliable monitor identity/configuration.
—
Not configured
No reliable monitor identity/configuration.
—
Not configured
No reliable monitor identity/configuration.
—
Not configured
No reliable monitor identity/configuration.
—
Not configured
No reliable monitor identity/configuration.
—